Update invoice for financial posting - Fabric

Update invoice for financial posting

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/invoice/post \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '\n{
  "invoiceIds": [\
    "invoiceId1",\
    "invoiceId2"\
  ]\
}\n'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/invoice/post"

payload = { "invoiceIds": ["invoiceId1", "invoiceId2"] }
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({invoiceIds: ['invoiceId1', 'invoiceId2']})
};

fetch('https://prod01.oms.fabric.inc/api/v2/invoice/post', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Possible Responses

Request/Response Schema

Authorization

Headers

Body

Response Example

[
  {
    "invoiceId": "62ff5c0bec0aed3c86202c32",
    "shipmentId": "62ff5c0bec0aed3c86202c32",
    "statusCode": "CREATED/POSTED/ACKNOWLEDGED",
    "channelId": "strate",
    "invoiceTotal": 245.7,
    "totalTaxAmount": 245.7,
    "currency": "dollar",
    "invoiceNumber": "23940791",
    "invoiceStatus": "CAPTURED/SETTLED",
    "invoiceType": "SHIPPING/APPEASEMENT",
    "invoiceDate": "2022-08-01T20:03:28.483971941Z",
    "shipmentNumber": "217088603",
    "shippedOn": "2022-08-01T20:03:28.483971941Z",
    "orders": [...],
    "customer": {...},
    "attributes": {}
  }
]

Replace <token> and <x-site-context> with appropriate values when implementing this.